Public API
Remove device
Remove an active device from a license.
Request Body
application/json
licenseKey*string
The license key.
deviceIdentifier*string
The identifier of the device to remove.
productId*|array<>
The product ID of the license. Can be a single string or an array of strings.
Response Body
application/json
curl -X DELETE "https://keyforge.dev/api/v1/public/licenses/device" \ -H "Content-Type: application/json" \ -d '{ "licenseKey": "ABCDE-ABCDE-ABCDE-ABCDE-ABCDE", "deviceIdentifier": "some_device_id", "productId": "p_123456" }'Empty
{
"error": {
"code": "invalid_license",
"message": "Invalid license."
}
}Get license token POST
Get a new signed token for a license. License tokens need to be configured for the product to use this endpoint.
Get license token public key GET
Get the public key JWK of a product for verifying license tokens. This endpoint is only available if the product supports license tokens and exposes its public key.